Skip to content

Instantly share code, notes, and snippets.

Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
@pjknowles
pjknowles / effect-of-fia-on-triples.ipynb
Last active January 5, 2023 16:45
Effect of poor HF convergence on (T)
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
@pjknowles
pjknowles / elements.ipynb
Last active November 25, 2022 15:58
calculation on all elements
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
# build Molpro on MacOS, ARM architecture
# MacOS 12.6 Monterey
# prerequisite 1: command line developer tools, start with xcode-select --install
# Note: Xcode 14.0 is incompatible with gcc, and cannot be used. See https://stackoverflow.com/questions/73714336/xcode-update-to-version-2395-ld-compile-problem-occurs-computedatomcount-m/73765819#73765819
# prerequisite 2: install homebrew, starting from https://brew.sh
mpi='mpich' # or open-mpi, but known problems exist
garuntime='mpi-pr'
label="${mpi}-${garuntime}"
# build Molpro using conda toolchain
build_environment=molpro-build
deploy_environment=molpro-build # change this to an existing environment in which you want molpro, if you like
conda create -y -n ${build_environment} cxx-compiler c-compiler fortran-compiler libxml2 mpich mkl-devel eigen cmake git curl wget make
conda activate ${deploy_environment} && deploy_prefix=${CONDA_PREFIX} || exit 1
conda activate ${build_environment}
wget -O - https://github.com/GlobalArrays/ga/releases/download/v5.8.1/ga-5.8.1.tar.gz | tar xzf -
cd ga-5.8.1 && ./configure --prefix=${CONDA_PREFIX} --with-blas=no --with-lapack=no --with-scalapack=no --disable-f77 --with-mpi-pr && make -j10 && make install && cd .. && rm -rf ga-5.8.1
git clone git@github.com:molpro/molpro
@pjknowles
pjknowles / install-molpro-macos-arm.sh
Last active October 26, 2022 05:45
Install molpro on MacOS ARM
# build Molpro on MacOS, ARM architecture
# MacOS 12.6 Monterey
# prerequisite 1: command line developer tools, start with xcode-select --install
# Note: Xcode 14.0 is incompatible with gcc, and cannot be used. See https://stackoverflow.com/questions/73714336/xcode-update-to-version-2395-ld-compile-problem-occurs-computedatomcount-m/73765819#73765819
# prerequisite 2: install homebrew, starting from https://brew.sh
brew unlink open-mpi
brew install doxygen eigen gcc lapack libxml2 python3 mpich cmake coreutils wget
brew link mpich
export CC=gcc-12 CXX=g++-12
@pjknowles
pjknowles / install_molpro_macos_intel.sh
Last active October 11, 2022 09:55
Install Molpro on Intel Mac
# build Molpro on MacOS, Intel architecture
# MacOS 12.6 Monterey
# prerequisite 1: command line developer tools, start with xcode-select --install
# Note: Xcode 14.0 is incompatible with gcc, and cannot be used. See https://stackoverflow.com/questions/73714336/xcode-update-to-version-2395-ld-compile-problem-occurs-computedatomcount-m/73765819#73765819
# prerequisite 2: install homebrew, starting from https://brew.sh
# prerequisite 3: Intel MKL from https://www.intel.com/content/www/us/en/developer/tools/oneapi/onemkl-download.html?operatingsystem=mac&distributions=webdownload&options=online
brew install eigen gcc libxml2 python3 openmpi cmake coreutils
git clone https://github.com/GlobalArrays/ga ga_mpipr && cd ga_mpipr && git checkout v5.8.1 && ./autogen.sh && ./configure --with-blas=no --with-lapack=no --with-scalapack=no --disable-f77 --with-mpi-pr && make -j10 && sudo make install && cd .. && rm -rf ga_mpipr
git clone git@github.com:molpro/molpro